CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.2. cudaAccessPolicyWindow Struct Reference

## [Data types used by CUDA Runtime]

Specifies an access policy for a window, a contiguous extent of memory beginning at base_ptr and ending at base_ptr + num_bytes. Partition into many segments and assign segments such that. sum of "hit segments" / window == approx. ratio. sum of "miss segments" / window == approx 1-ratio. Segments and ratio specifications are fitted to the capabilities of the architecture. Accesses in a hit segment apply the hitProp access policy. Accesses in a miss segment apply the missProp access policy.

### Public Variables

void * base_ptr
enumcudaAccessProperty hitProp
float hitRatio
enumcudaAccessProperty missProp
size_t num_bytes

### Variables

void * cudaAccessPolicyWindow::base_ptr [inherited]

  Starting address of the access policy window. CUDA driver may align it.

enumcudaAccessProperty cudaAccessPolicyWindow::hitProp [inherited]

  CUaccessProperty set for hit.

float cudaAccessPolicyWindow::hitRatio [inherited]

  hitRatio specifies percentage of lines assigned hitProp, rest are assigned missProp.

enumcudaAccessProperty cudaAccessPolicyWindow::missProp [inherited]

  CUaccessProperty set for miss. Must be either NORMAL or STREAMING.

size_t cudaAccessPolicyWindow::num_bytes [inherited]

  Size in bytes of the window policy. CUDA driver may restrict the maximum size and alignment.